<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="mymappingAccessoriesLabel" jhiTranslate="mpmApp.mappingAccessories.home.createOrEditLabel">Create or edit a Mapping Accessories</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <div class="form-group">
                    <label class="typeCode">Kode Type</label>
                    <input type="text" class="form-control" name="typeCode" id="field_typeCode" [readonly]="true" [(ngModel)]="mappingAccessories.typeCode" />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_idAccessories">Id Accessories</label>
                    <select class="form-control" id="field_idAccessories" name="idAccessories" [(ngModel)]="mappingAccessories.idAccessories" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="masterAksesoris.idAccessories" *ngFor="let masterAksesoris of listMasterAksesoris; trackBy: trackIdAccessoriesById">{{masterAksesoris.label}}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class=description>Description</label>
                    <input type="text" class="form-control" name="description" id="field_description" [readonly]="true" [(ngModel)]="mappingAccessories.description"  />
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <!-- <span class="fa fa-ban"></span>&nbsp; -->
            <span>Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <!-- <span class="fa fa-save"></span>&nbsp; -->
            <span>Save</span>
        </button>
    </div>
</form>
